Original-URL des Artikels: https://www.golem.de/news/privilege-escalation-linux-kernel-exploit-wurde-auf-android-portiert-1306-99772.html    Veröffentlicht: 12.06.2013 13:10    Kurz-URL: https://glm.io/99772

Privilege Escalation

Linux-Kernel-Exploit wurde auf Android portiert

Eine gefährliche Sicherheitslücke, die unter Linux längst gepatcht wurde, wird nun unter Android ausgenutzt. Laut Symantec ist es Entwicklern von Schadsoftware gelungen, den Exploit zu portieren. Abhilfe durch eine neue Android-Version gibt es zunächst nicht.

Die Linux-Sicherheitslücke, die unter der CVE-Nummer 2013-2094 gelistet ist, wird von Kriminellen nun auch unter Android ausgenutzt. Laut Symantec ist es Kriminellen gelungen, den Exploit, der CVE-2013-2094 ausnutzt, auf das Android-Betriebssystem anzuwenden.

Die besondere Gefahr der Sicherheitslücke liegt darin, dass Angreifer sich höhere Rechte erschleichen können (Local Privilege Escalation). Die Schwachstelle lässt sich auch unter Android ausnutzen, obwohl Anwender dort in der Regel nicht mit weitgehenden Betriebssystemrechten ausgestattet sind.

Die Sicherheitslücke steckte schon länger in Linux und wurde erst im Mai 2013 beseitigt. Sie betraf zudem nur mit speziellen Optionen kompilierte Distributionen, was wohl auch für verwandte Android-Systeme gilt.

Der hohe Marktanteil und das in aller Regel sehr niedrige Patchlevel bei Android-Geräten lockt zunehmend Kriminelle an, die viel Geld in Schadsoftware investieren. Kaspersky entdeckte beispielsweise kürzlich einen fortschrittlichen Trojaner (Backdoor.AndroidOS.Obad.a.), der eine Sicherheitslücke in der Dex2Jar-Software ausnutzt. Außerdem verwenden sie eine weitere, bisher ungepatchte Schwachstelle im Betriebssystem.

Wenn ein Fix kommt, dann nur für wenige Geräte

Im Unterschied zu Linux-Distributionen, bei denen Sicherheitsprobleme schnell beseitigt werden, kann der Nutzer von Android-Betriebssystemen unter Umständen lange auf eine Lösung des Problems warten. Allerdings gibt Symantec Entwarnung. So sollen nicht alle Android-Systeme für CVE-2013-2094 anfällig sein, Symantec bleibt aber eine Auflistung schuldig. Aktuell ist derzeit Android 4.2.2 vom Februar 2013. Eine neue Version, die die Sicherheitslücken behebt, ist bisher nicht angekündigt worden.

Gerüchte, die noch vor der Google I/O im Netz verteilt wurden, sprachen von einem Android 4.2.3 oder 4.3 in den kommenden Monaten. Sollte eine dieser Versionen mit der Fehlerbehebung erscheinen, dürften in der Regel nur wenige Geräte sofort damit patchbar sein. Darunter fallen meist die aktuellen Google-Smartphones und -Tablets. Auch Geräte mit alternativen Android-ROMs wie Cyanogenmod 10.1 haben das Potenzial für einen schnellen Bugfix, da die aktuelle Android-Version hier meist schneller verfügbar ist. Geräte, die Sony für das Android Open Source Project (AOSP) freigegeben hat, könnten den Bugfix daher ebenfalls schneller erhalten.  (ase)


Verwandte Artikel:
Flexispy: Wir lassen uns Spyware installieren   
(31.01.2018, https://glm.io/132487 )
Android: Patch für Pixel-Smartphones schließt Krack-Lücke   
(05.12.2017, https://glm.io/131485 )
Galaxy S9 und S9+ im Test: Samsungs Kamera-Kompromiss funktioniert   
(08.03.2018, https://glm.io/133164 )
Google: Alphaversion von Android P ist da   
(08.03.2018, https://glm.io/133218 )
E-Mail-Clients für Android: Kennwörter werden an App-Entwickler übermittelt   
(06.03.2018, https://glm.io/133172 )

© 1997–2019 Golem.de, https://www.golem.de/